sage.library.comparison {sagenhaft} | R Documentation

## Class sage.library.comparison

### Description

Class for storing the data of a pairwise comparison between two SAGE libraries.

### Usage

    read.sage.library.comparison(file)
    write.sage.library.comparison(x, file=paste(x$name, "sagecomp", sep="."))
    compare.lib.pair(lib1, lib2)

### Arguments

`x,lib1,lib2` | A sage library object
`file` | File name to read or write to

### Details

SAGE library comparison objects consists of one data.frames. It stores a A and an M value which are the log2 average expression and log2 ratio, respectively. It also has a column for the resulting p.values from `sage.test`. `read.sage.library.comparison` and `write.sage.library.comparison` are utility functions to read and write SAGE library comparisons. `compare.lib.pair` can be used to generate SAGE library comparisons.

### Author(s)

Tim Beissbarth

### References

http://tagcalling.mbgproject.org

### See Also

`sage.test`

### Examples

    library(sagenhaft)
    B6Hypo <- read.sage.library(system.file("data/B6HypothalHFI.sage",
                                package="sagenhaft"))
    E15post <- read.sage.library(system.file("data/E15postHFI.sage",
                                 package="sagenhaft"))
    libcomp <- compare.lib.pair(B6Hypo, E15post)
    plot(libcomp)
    libcomp

[Package sagenhaft version 1.8.0 Index]